#!/usr/bin/php
<?php

require_once('netatmo.config.php');
require_once('Netatmo/autoload.php');

$config = array();
$config['client_id'] = $client_id;
$config['client_secret'] = $client_secret;
$config['scope'] = 'read_station read_thermostat write_thermostat';
$client = new Netatmo\Clients\NAWSApiClient($config);

$client->setVariable('username', $username);
$client->setVariable('password', $password);
try
{
    $tokens = $client->getAccessToken();
    $refresh_token = $tokens["refresh_token"];
    $access_token = $tokens["access_token"];
}
catch(Netatmo\Exceptions\NAClientException $ex)
{
    echo "An error occcured while trying to retrive your tokens \n";
}

$data = $client->getData(NULL, TRUE);

$data1 = array();
foreach($data['devices'] as $device)
{
    $name = $device['station_name'];
    $data1[$name] = $device['dashboard_data'];
    $data1[$name]['modules'] = $device['modules'];
}
print(json_encode($data1));

